<?php

require_once("../config/conexion.php");
require_once("../models/Catalogo.php");
$catalogo = new Catalogo();
switch ($_GET["op"]) {
    case "tipoIdentificacion":
        $datos = $catalogo->Consultar("TIPO IDENTIFICACION");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['catalogodbk'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break;
    case "tipoCarrera":
        $datos = $catalogo->Consultar("TIPO CARRERA");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['catalogodbk'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break; 
    case "modalidad":
        $datos = $catalogo->Consultar("MODALIDAD");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['catalogodbk'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break;         
    case "sexo":
        $datos = $catalogo->Consultar("SEXO");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['catalogodbk'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break;
    case "genero":
        $datos = $catalogo->Consultar("GENERO");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['catalogodbk'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break; 
    case "estadoCivil":
        $datos = $catalogo->Consultar("ESTADO CIVIL");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['catalogodbk'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break; 
    case "etnia":
        $datos = $catalogo->Consultar("ETNIA");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['catalogodbk'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break; 
    case "puebloNacionalidad":
        $datos = $catalogo->Consultar("INDIGENA");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['catalogodbk'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break;     
    case "sangre":
        $datos = $catalogo->Consultar("TIPO SANGRE");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['catalogodbk'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break;  
    case "tipoColegio":
        $datos = $catalogo->Consultar("TIPO COLEGIO");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['catalogodbk'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break;  
    case "otroTitulo":
        $datos = $catalogo->Consultar("BOOLEAN");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['catalogodbk'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break;  
    case "nivel":
        $datos = $catalogo->Consultar("NIVEL");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['catalogodbk'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break;  
    case "otraCarrera":
        $datos = $catalogo->Consultar("BOOLEAN");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['catalogodbk'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break; 
    case "otraCarrera":
        $datos = $catalogo->Consultar("BOOLEAN");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['catalogodbk'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break; 
    case "discapacidadId":
        $datos = $catalogo->Consultar("BOOLEAN");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['catalogodbk'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break;  
    case "tipoDiscapacidadId":
        $datos = $catalogo->Consultar("DISCAPACIDAD");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['catalogodbk'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break;    
    case "menu":
        $datos = $catalogo->Consultar("COLORES");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['codigo'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break;    
    case "menuIcono":
        $datos = $catalogo->Consultar("COLOR");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['codigo'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break;  
    case "tipoMatricula":
        $datos = $catalogo->Consultar("TIPO MATRICULA");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['catalogodbk'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break;   
    case "titulacion":
        $datos = $catalogo->Consultar("TITULACION");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['catalogodbk'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break;  
    case "tipoInstitucion":
        $datos = $catalogo->Consultar("TIPO INSTITUCION");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['catalogodbk'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break;
    case "sectorEconomico":
        $datos = $catalogo->Consultar("SECTOR ECONOMICO");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['catalogodbk'] . "' title='".$row['descripcion']."'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break;    
    case "semanaPractica":
        $datos = $catalogo->Consultar("SEMANA PRACTICA");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['catalogodbk'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break;     
    case "ObservacionEstado":
        $datos = $catalogo->Consultar("OBSERVACIONES");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['catalogodbk'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break;     
    case "EstadoFase":
        $datos = $catalogo->Consultar("ESTADO FASE");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['catalogodbk'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break;         
}
?>
